---
title: "Vst on Linux 2"
date: 2023-01-31T19:32:34+01:00
ShowToc: true
cover:
    image: "/posts/vst-on-linux-2/cover.png"
    caption: "VST on Linux"
    relative: false
    responsiveImages: false
---

Big ups, **Venus Theory!**
[Link to the video](https://www.youtube.com/watch?v=OCzf38fCqB4)

## Prerequisite
All of them are covered in  [the first post]({{< ref "vst-on-linux-1" >}} )

- You have Wine and Yabridge installed
- You have a Wine prefix configured (in my case, `$HOME/.wine_vst_plugins/`, so every time you see it, use your own wine prefix) 

## Deelay 👍

You can find it here: [https://sixthsample.com/deelay/](https://sixthsample.com/deelay/)


After receiving a link, I'm downloading a **Windows 64-bit** version and running 
```BASH

$ WINEPREFIX="$HOME/.wine_vst_plugins/" wine Deelay-1.0.3-Installer-64bit.exe
$ yabridgectl sync
```

![A running deelay](/posts/vst-on-linux-2/deelay.png)

It's running, but the context menus UI glitch is present
Audio qualities of this plugin on Linux are prefect, but when you open any drop-down menu, plugin's window is getting hidden.

![UI glitch](posts/vst-on-linux-2/deelay-glitch.gif)

But it can be fixed with **Carla**. If I'm putting Carla to my FX chain and then adding **Deelay** to **Carla**, this problem is gone.

## Surge XT 👍👍👍

This plugin has a native **Linux** version, and it's open-source, so just install it with your package manager or download from the official site. You won't even have to touch **yabridge** and **wine** this time

[**Source code**](https://github.com/surge-synthesizer/surge)

![Surge XT Linux native](/posts/vst-on-linux-2/surge.png)

## Cardinal 👍👍👍

**You won't believe me!**

But it's open-source too and has supports **Linux** out of the box.

[**Source code**](https://github.com/DISTRHO/Cardinal)

![Again native and open-source](/posts/vst-on-linux-2/cardinal.png)

## Fire 👍👍👍

*It ... is ... open ... source ... too ... and ... supports ... **Linux***

[**Source code**](https://github.com/jerryuhoo/Fire)

So I'm just installing it with a package manager and trying.
![A real fire](/static/posts/vst-on-linux-2/fire.png)

## Ruina 👍

*And a couple of others*

It would be too good, if this one had a Linux version. To get this plugin, you will have to create an account, and download their installer 👿

[https://noiseengineering.us/products/the-freequel-bundle-sinc-vereor-virt-vereor-ruina](https://noiseengineering.us/products/the-freequel-bundle-sinc-vereor-virt-vereor-ruina)

After downloading an Installer, I'm installing it with **wine **to the same prefix I install all their other plugins 

    $  WINEPREFIX="$HOME/.wine_vst_plugins/" wine Noise\ Engineering\ Products\ 09358.exe 

![The installer](/static/posts/vst-on-linux-2/noise-engineering.png)

It will install plugins, we've only left to sync yabridge config.

    $ yabridgectl sync

![Running Ruina ](/posts/vst-on-linux-2/runia-plugin.png)

![Sinc Vereor](/posts/vst-on-linux-2/sirt-plugin.png)

![Virt Vereor](/posts/vst-on-linux-2/virt-vereor.png)

All of them are working flawlessly. One wouldn't even notice that they're not native

---

## Gatelab 👍 / Filterstep 👎 / Panflow 👍

No **Linux** version again, so I'm gonna. And they want me to enter my email again. That's a shame, but let's do it anyway. If Venus Theory says they're good, I'm sure they really are.

    $ export WINEPREFIX="$HOME/.wine_vst_plugins/"
    $ wine Audiomodern_Filterstep_1.1.2/WIN/Filterstep_64\ 1.1.2\ \(Win64\).exe 
    $ wine Audiomodern_Gatelab_1.1.3/WIN/Gatelab\ 1.1.3\ \(Win64\).exe 
    $ wine Audiomodern_Panflow_1.0.1/WIN/Panflow\ 1.0.1\ \(Win64\).exe 

I had to rerun Ardour multiple times in order to make these plugins work. **Panflow** is running fine

![Panflow](/posts/vst-on-linux-2/panflow.png)

Gatelab is working fine too

![Gatelab](/posts/vst-on-linux-2/gatelab.png)

But when I add **Filterstep**, Ardour stops responding. I'm sure it's possible to make it work too, so I will try doing that in one of the next articles. 

## PaulXStretch 👍👍👎

I was tired after **Audiomodern** plugins, because they were freezing my Ardour and I had to log out and log in again to my system, for Ardour wouldn't run again after that. 

But **PaulXStrech** has a native Linux version too, and it has given me a strength to finish with this top.

So I'm just installing it with a package manager. 

But my expectations were too high. I couldn't add PaulXStretch as a plugin in my **DAW**, even **Carla** couldn't handle it. Only [Kushview Element](https://kushview.net/) could handle it outside a **DAW**, but I couldn't connect Ardour with Element using JACK yet (probably because I'm too dummy). But when running **Element** as a plugin inside an **Ardour**, when I add PaulXStretch, Ardour crashes.

But on the official site of this plugin, there is nothing said about a plugin version of PaulXStretch for Linux. So you can use it as a standalone application. Just record whatever you want, stretch and render an audio file to import it to your **DAW**.
![PaulXStretch as a standalone application](/posts/vst-on-linux-2/paulxstretch.png)
---

Actually, I'm very happy to see that 4 of 9 plugins has a native Linux support. It means that developers see now that Linux can be used for music production. And it makes me feel that Linux is becoming more adopted by more and more guys who just want to make music without struggling with their systems.

---

Thanks for reading

Oi!


