---
title: "Vst on Linux 3"
date: 2023-02-03T18:26:44+01:00
draft: false
ShowToc: true
cover:
    image: "/posts/vst-on-linux-1/cover.png"
    caption: "Vst on Linux"
    relative: false
    responsiveImages: false
tags: ['music']
---

I've been told that I should add descriptions to plugins I'm writing about here, and it sounds very reasonable. So now I will not only describe how to install a plugin but also add a small description to it.

## Prerequisite

All of them are covered in [the first post]({{< ref "vst-on-linux-1" >}})

- You have Wine and Yabridge installed
- You have a Wine prefix configured (in my case, `$HOME/.wine_vst_plugins/`, so every time you see it, use your own wine prefix)

## Before we begin

In the previous post, I was trying to run paulxstretch on Linux, and using it as a plugin in a DAW didn't work out. I've tried to update the JUCE library in the source code, and now it's working. You can find the code here: [https://git.badhouseplants.net/badhouseplants/paulxstretch](https://git.badhouseplants.net/badhouseplants/paulxstretch)

To build, refer to the official build doc or use the `/build_docker.sh` script

## Melda Free Bundle 👍

You can find it here: <https://www.meldaproduction.com/MFreeFXBundle>

It's not a one plugin, but a whole bunch of them. I used to have it on my Mac a long ago, but I hate this way of managing plugins, so I don't install them if I'm not sure, I need them. And I never felt this way about **Melda Free Bundle.**

But now I'll try running it on **Linux**. I don't think I'll ever use it, even if it runs smoothly as hell. So I will create an additional temporary wine prefix to install it there.

     $ export WINEPREFIX="$HOME/.wine_vst_plugins_tmp"
     $ wine maudioplugins_16_01_setup.exe

Install Melda Free bundle
### MDrummer

[MDrummer](https://www.meldaproduction.com/MDrummer)

Let's start with the MDrummer plugin. I've tried to run it as a plugin in **Ardour**,but it killed it. So I've added it with a **Carla** as a wrapper

I'm downloading several GBs of samples and other data to make it work.

![MDrummer](/posts/vst-on-linux-3/mdrummer.png)
I'd say it's over-bloated. And UI is a wee bit laggy on Linux
Let's see what we can do with it

{{< video "/posts/vst-on-linux-3/mdrummer-example.mp4" "video-1" >}}

### MDrumReplacer
[MDrumReplacer](https://www.meldaproduction.com/MDrumReplacer)

As I understand, this plugin is catching drum signals and replacing them with another sound. So I'll add it next to the **MDrummer** in the **Carla Rack**.
![Replacer](/posts/vst-on-linux-3/mdrummer-lfo-carla.png)

I've also added LFO in the chain, to modify the pitch value of the **MDrumReplacer** with it, so it doesn't sound so boring (at least, to me).

{{< video "/posts/vst-on-linux-3/mdrummer-example-lfo.mp4" "video-2" >}}

### MPowerSynth

It's just a synth. I don't like the interface, and I'm not gonna use it in the future, so I'm simply using a preset.

{{< video "/posts/vst-on-linux-3/mpower-synth.mp4" "video-3" >}}

It sounds a wee bet laggy, but it's just on a video

---

*I'm sorry, I'm not trying all of them, because it's too much. Let's try another one and go further.*

### MGuitarArchitect

It's like a pedal board, as I see. I can add many effects here. Let's try adding it to the same **Carla Rack** that is used for the bass.

{{< video "/posts/vst-on-linux-3/mguitar-architect.mp4" "video-4" >}}

---

## u-he TyrellN6 👍
[u-he TyrellN6 ](https://u-he.com/products/tyrelln6/)

I think that almost every **u-he** plugins has a native **Linux** support, and **Tyrell** is not an exception. But you most probably won't be able to install it with a package manager, because it's available only on Amazona.de. So just follow the link on the official web-page and download the Linux version.

This is a pretty minimalistic synth, that can help you produce a lot of cool sounds without spending tons of hours learning it. I definitely can recommend it, as I can recommend anything developed by **u-he**

Unpack the archive and run the **./install.sh** script

    $ ./TyrellN6-3898/install.sh

{{< video "/posts/vst-on-linux-3/tyrell.mp4" "video-5" >}}

I can't tell anything bad about **u-he**, I love all their plugins, I love that they support Linux and I love that they together with **Bitwig** are working on the new plugin open-source format ([CLAP](https://github.com/free-audio/clap)). 

Tyrell is just a very cool free synth. What else can I say?

---

## Valhalla Supermassive 👍

I've already covered Valhalla plugins in the [first post]({{< ref "vst-on-linux-1" >}}), so it doesn't make sense to repeat myself, instead of that, I'll add every free **Valhalla** plugin to the project and show you how it's working.

{{< video "/posts/vst-on-linux-3/vallhalla.mp4" "video-6" >}}


## Spitfire Labs 👍
[Spitfire Labs](https://labs.spitfireaudio.com/?sortBy&#x3D;prod_products_labs_latest)

I think, everybody knows what's that. But if you don't and you don't mind creating a Spitfire account, just try. 

I need to create an account for downloading that. *But I already have one, because I'm an active LABS user.*

    $ wine SpitfireAudio-Win-3.4.0.exe
    $ yabridgectl sync 

You will have to install presets
![Spitfire App](/posts/vst-on-linux-3/spitfire-labs-app.png)

{{< video "/posts/vst-on-linux-3/labs-example.mp4" "video-7" >}}

## Infinite Space Piano 👍

[Space Piano](https://zaksound.com/infinite-space-piano/)

This is a piano synth. I already have a lot of them, and as for me, this is yet another one. But is sounds pretty good, so you may like it.

This time I really need to create an account, because it's the first time I hear about this one.

There is no **Linux** version, I'm getting the **Windows** one. I've got a feeling that I'm not gonna use it in the future, so I'm installing it in the temporary prefix.

    $ export WINEPREFIX="$HOME/.wine_vst_plugins_tmp/"
    $ wine Infinite\ Space\ Piano\ 2.exe 
    $ yabridgectl sync

{{< video "/posts/vst-on-linux-3/space-piano.mp4" "video-8" >}}

## ProjectSAM Free Orchestra 👎
[Free Orchestra](https://projectsam.com/libraries/the-free-orchestra/)
![Free Orchestra](/posts/vst-on-linux-3/native-access.png)
Ok, let's try
I'm downloading **Native Access**, and it's not working. And this is the moment, I'm giving up on this plugin. 

## Eventide Pendulate👍
[Eventide Pendulate](https://www.eventideaudio.com/plug-ins/pendulate/)

Downloading a Windows version again.

    $ wine Pendulate-1.3.6-windows-installer.exe
    $ yabridgectl sync

{{< video "/posts/vst-on-linux-3/eventide-pendulate.mp4" "video-9" >}}

Runnin just fine
As you see, this is a pretty interesting Synth, I have enough of synths for everything, but this one may join the ranks too.

## VCV Rack 👍
[VCV Rack](https://vcvrack.com/)

VCV Rack is an open-source Eurorack modular synthesizer simulator

I've already covered the Cardinal plugin [here]({{< ref "vst-on-linux-2" >}}). And this is basically the same thing. And so I will just show **Cardinal** instead of **VCV Rack**. But if you want VCV Rack, it's working on Linux just fine, but you can't use the free version as a plugin, that's why I'm showing Cardinal

{{< video "/posts/vst-on-linux-3/vcv-rack.mp4" "video-10" >}}

I didn't have enough time to learn it yet, so that's what I could do with it

## U-He Protoverb 👍
[U-He Protoverb](https://u-he.com/products/protoverb/)

Protoverb is a reverb created by u-he. It has native Linux support 

Download the **Linux** version and install it by running a script. You can finfd everything [here](https://u-he.com/products/protoverb/)

## Paulstretch 👍

It's already covered in the previous article. But since then, one thing is changed. You could've seen it in the very beginning of the post, that I've updated JUCE library in the source code, and now it's running as a VST plugin. If you missed it, try reading the beginning one more time.

I'm testing it currently, but you can help me with that.

## Bonus: Vital 👍
[Vital](https://vital.audio/)

I think this is the best Synth ever made. It's open source and has Linux support. I use it in every project and if you don't, I recommend you to start doing that. 

{{< video "/posts/vst-on-linux-3/vital.mp4" "video-11" >}}

The video is laggy again, but in reality it's fine.

---
If you like what I'm doing, you can follow my [twitter](https://twitter.com/_allanger) or [mastodon](https://mastodon.social/@allanger), since I'll be posing there all the updates

Thanks
Oi!
